Skip to main content
GET
/
storage
/
objects
Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os


with Latitudesh(
    bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:

    res = latitudesh.storage.get_storage_objects()

    # Handle response
    print(res)
{
  "data": [
    {
      "id": "bucket_6VE1Wd37dXnZJ",
      "type": "object_storages",
      "attributes": {
        "name": "my-bucket-storage",
        "size_in_gb": 500,
        "created_at": "2026-03-19T10:30:00.000Z",
        "bucket_name": "my-bucket",
        "endpoint": "https://s3.latitude.sh",
        "access_key": [
          "AKIAIOSFODNN7EXAMPLE"
        ],
        "region": {
          "id": "SAO2",
          "city": "SAO2",
          "country": "Brazil"
        },
        "project": {
          "id": "proj_6059EqYkOQj8p",
          "name": "My Project",
          "slug": "my-project",
          "description": "Project description",
          "billing_type": "Normal",
          "billing_method": "Normal",
          "bandwidth_alert": false,
          "environment": null,
          "billing": {
            "subscription_id": null,
            "type": "Normal",
            "method": "Normal"
          },
          "stats": {
            "databases": 0,
            "ip_addresses": 0,
            "prefixes": 0,
            "servers": 0,
            "storages": 1,
            "virtual_machines": 0,
            "vlans": 0
          }
        },
        "team": {
          "id": "team_lV9Xe2AAK5CbMgGbpPYLskLRXyV",
          "name": "My Team",
          "slug": "my-team",
          "description": "My Team",
          "address": "123 Main St",
          "status": "verified",
          "currency": {
            "id": "cur_AW6Q2D9lqKLpr",
            "code": "USD",
            "name": "US Dollar",
            "currency_id": null
          }
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Query Parameters

filter[project]
string

The project ID or Slug to filter by

Response

Success

data
object[]